{% extends '../base.html'%} {% block main %} {% load static %}


<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}

  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des propositions</p>
    <div class="sort">
      <div class="select">
        <select
          id="status"
          class="form-select"
          aria-label="Default select example"
        >
          <option value="0" selected>Tout</option>
          {% for id, status in repair_status.items %}
            <option value="{{ id }}">{{ status }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="search">
        <div class="input-group">
          <input
            placeholder="Recharcher ..."
            type="text"
            class="form-control px-2"
            aria-label="Sizing example input"
            aria-describedby="inputGroup-sizing-default"
            id="inputSearchQ"
          />
          <span
            class="input-group-text"
            id="inputGroup-sizing-default"
            title="Recharcher par le numéro de suivi ou par la siret"
          >
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
        <thead>
            <tr style="font-size: 0.9rem">
                <th scope="col">N° demande<br>Nom</th>
                <th scope="col">Drone<br>Marque</th>
                <th scope="col">Statut<br>Date</th>
            </tr>
        </thead>
        <tbody class="table-group-divider" style="font-size: 0.8rem">
            {% for sell in sells %}
                <tr data-readed="{{ sell.readed }}" data-bgcolor ="{{ sell.set_bg_color }}" data-status="{{ sell.status }}">
                    <td>
                        <a href="{% url 'one_sell' id=sell.id %}">{{ sell.number }}</a><br>{{ sell.user.get_last_name }} {{ sell.user.get_first_name }}
                    </td>
                    <td>
                        {{ sell.get_title }}<br>{{ sell.get_compnay }}
                    </td>
                    <td>
                        {{ sell.get_status }}<br>{{ sell.created_at }}
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
  setTabletrBgColor()
</script>
{% endblock main%}